<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: FBSDKLoginButton.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_81e630f80dfe391b8563c60e022e9d38.html">Facebook</a></li><li class="navelem"><a class="el" href="dir_ac8bef2fa73cdf1e63d02935df57c47e.html">FBSDKLoginKit.framework</a></li><li class="navelem"><a class="el" href="dir_33873a97ad86cada0ed32cf0de21680e.html">Headers</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">FBSDKLoginButton.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// Copyright (c) 2014-present, Facebook, Inc. All rights reserved.</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// You are hereby granted a non-exclusive, worldwide, royalty-free license to use,</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// copy, modify, and distribute this software in source code or binary form for use</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">// in connection with the web services and APIs provided by Facebook.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">// As with any software that integrates with the Facebook platform, your use of</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">// this software is subject to the Facebook Developer Principles and Policies</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment">// [http://developers.facebook.com/policy/]. This copyright notice shall be</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment">// included in all copies or substantial portions of the software.</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment">// THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment">// FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment">// COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment">// IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment">// CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160; </div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#import &lt;UIKit/UIKit.h&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160; </div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#import &lt;FBSDKCoreKit/FBSDKButton.h&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160; </div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#import &lt;FBSDKLoginKit/FBSDKLoginManager.h&gt;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160; </div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#import &quot;FBSDKTooltipView.h&quot;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160; </div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">@protocol </span><a class="code" href="protocol_f_b_s_d_k_login_button_delegate-p.html">FBSDKLoginButtonDelegate</a>;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160; </div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="keyword">typedef</span> NS_ENUM(NSUInteger, FBSDKLoginButtonTooltipBehavior)</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;{</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;  FBSDKLoginButtonTooltipBehaviorAutomatic = 0,</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;  FBSDKLoginButtonTooltipBehaviorForceDisplay = 1,</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;  FBSDKLoginButtonTooltipBehaviorDisable = 2</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;};</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160; </div><div class="line"><a name="l00058"></a><span class="lineno"><a class="line" href="interface_f_b_s_d_k_login_button.html">   58</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="interface_f_b_s_d_k_login_button.html">FBSDKLoginButton</a> : <a class="code" href="interface_f_b_s_d_k_button.html">FBSDKButton</a></div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160; </div><div class="line"><a name="l00063"></a><span class="lineno"><a class="line" href="interface_f_b_s_d_k_login_button.html#a27d7d78187d38c367957bac4b28c7ab6">   63</a></span>&#160;<span class="keyword">@property</span> (assign, nonatomic) FBSDKDefaultAudience <a class="code" href="interface_f_b_s_d_k_login_button.html#a27d7d78187d38c367957bac4b28c7ab6">defaultAudience</a>;</div><div class="line"><a name="l00067"></a><span class="lineno"><a class="line" href="interface_f_b_s_d_k_login_button.html#a9334392431c0fb78a08fe4038a2a30fb">   67</a></span>&#160;<span class="keyword">@property</span> (weak, nonatomic) IBOutlet id&lt;FBSDKLoginButtonDelegate&gt; <a class="code" href="interface_f_b_s_d_k_login_button.html#a9334392431c0fb78a08fe4038a2a30fb">delegate</a>;</div><div class="line"><a name="l00071"></a><span class="lineno"><a class="line" href="interface_f_b_s_d_k_login_button.html#afe30ee6f02e53feb1185bea33b5afd8e">   71</a></span>&#160;<span class="keyword">@property</span> (assign, nonatomic) FBSDKLoginBehavior <a class="code" href="interface_f_b_s_d_k_login_button.html#afe30ee6f02e53feb1185bea33b5afd8e">loginBehavior</a>;</div><div class="line"><a name="l00080"></a><span class="lineno"><a class="line" href="interface_f_b_s_d_k_login_button.html#a7b546773564a1961a0e9403e6b48b286">   80</a></span>&#160;<span class="keyword">@property</span> (copy, nonatomic) NSArray *<a class="code" href="interface_f_b_s_d_k_login_button.html#a7b546773564a1961a0e9403e6b48b286">publishPermissions</a>;</div><div class="line"><a name="l00088"></a><span class="lineno"><a class="line" href="interface_f_b_s_d_k_login_button.html#a4086baec0d0b3203c6dd3b3d65d419f8">   88</a></span>&#160;<span class="keyword">@property</span> (copy, nonatomic) NSArray *<a class="code" href="interface_f_b_s_d_k_login_button.html#a4086baec0d0b3203c6dd3b3d65d419f8">readPermissions</a>;</div><div class="line"><a name="l00092"></a><span class="lineno"><a class="line" href="interface_f_b_s_d_k_login_button.html#ad8da738c3ec8c6efbdada9547ef09757">   92</a></span>&#160;<span class="keyword">@property</span> (assign, nonatomic) FBSDKLoginButtonTooltipBehavior <a class="code" href="interface_f_b_s_d_k_login_button.html#ad8da738c3ec8c6efbdada9547ef09757">tooltipBehavior</a>;</div><div class="line"><a name="l00096"></a><span class="lineno"><a class="line" href="interface_f_b_s_d_k_login_button.html#af2e1aa50591714452427fc87eade3e5e">   96</a></span>&#160;<span class="keyword">@property</span> (assign, nonatomic) FBSDKTooltipColorStyle <a class="code" href="interface_f_b_s_d_k_login_button.html#af2e1aa50591714452427fc87eade3e5e">tooltipColorStyle</a>;</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160; </div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;<span class="keyword">@end</span></div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160; </div><div class="line"><a name="l00104"></a><span class="lineno"><a class="line" href="protocol_f_b_s_d_k_login_button_delegate-p.html">  104</a></span>&#160;<span class="keyword">@protocol </span><a class="code" href="protocol_f_b_s_d_k_login_button_delegate-p.html">FBSDKLoginButtonDelegate</a> &lt;NSObject&gt;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160; </div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;<span class="keyword">@required</span></div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;- (void)loginButton:(<a class="code" href="interface_f_b_s_d_k_login_button.html">FBSDKLoginButton</a> *)loginButton</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;didCompleteWithResult:(<a class="code" href="interface_f_b_s_d_k_login_manager_login_result.html">FBSDKLoginManagerLoginResult</a> *)result</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;                error:(NSError *)error;</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160; </div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;- (void)loginButtonDidLogOut:(<a class="code" href="interface_f_b_s_d_k_login_button.html">FBSDKLoginButton</a> *)loginButton;</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160; </div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;<span class="keyword">@optional</span></div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;- (BOOL) loginButtonWillLogin:(<a class="code" href="interface_f_b_s_d_k_login_button.html">FBSDKLoginButton</a> *)loginButton;</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160; </div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;<span class="keyword">@end</span></div></div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="ainterface_f_b_s_d_k_login_button_html_a7b546773564a1961a0e9403e6b48b286"><div class="ttname"><a href="interface_f_b_s_d_k_login_button.html#a7b546773564a1961a0e9403e6b48b286">FBSDKLoginButton::publishPermissions</a></div><div class="ttdeci">NSArray * publishPermissions</div><div class="ttdef"><b>Definition:</b> FBSDKLoginButton.h:80</div></div>
<div class="ttc" id="ainterface_f_b_s_d_k_login_button_html_afe30ee6f02e53feb1185bea33b5afd8e"><div class="ttname"><a href="interface_f_b_s_d_k_login_button.html#afe30ee6f02e53feb1185bea33b5afd8e">FBSDKLoginButton::loginBehavior</a></div><div class="ttdeci">FBSDKLoginBehavior loginBehavior</div><div class="ttdef"><b>Definition:</b> FBSDKLoginButton.h:71</div></div>
<div class="ttc" id="ainterface_f_b_s_d_k_login_manager_login_result_html"><div class="ttname"><a href="interface_f_b_s_d_k_login_manager_login_result.html">FBSDKLoginManagerLoginResult</a></div><div class="ttdef"><b>Definition:</b> FBSDKLoginManagerLoginResult.h:26</div></div>
<div class="ttc" id="ainterface_f_b_s_d_k_login_button_html_a27d7d78187d38c367957bac4b28c7ab6"><div class="ttname"><a href="interface_f_b_s_d_k_login_button.html#a27d7d78187d38c367957bac4b28c7ab6">FBSDKLoginButton::defaultAudience</a></div><div class="ttdeci">FBSDKDefaultAudience defaultAudience</div><div class="ttdef"><b>Definition:</b> FBSDKLoginButton.h:63</div></div>
<div class="ttc" id="aprotocol_f_b_s_d_k_login_button_delegate-p_html"><div class="ttname"><a href="protocol_f_b_s_d_k_login_button_delegate-p.html">FBSDKLoginButtonDelegate-p</a></div><div class="ttdef"><b>Definition:</b> FBSDKLoginButton.h:104</div></div>
<div class="ttc" id="ainterface_f_b_s_d_k_login_button_html_af2e1aa50591714452427fc87eade3e5e"><div class="ttname"><a href="interface_f_b_s_d_k_login_button.html#af2e1aa50591714452427fc87eade3e5e">FBSDKLoginButton::tooltipColorStyle</a></div><div class="ttdeci">FBSDKTooltipColorStyle tooltipColorStyle</div><div class="ttdef"><b>Definition:</b> FBSDKLoginButton.h:96</div></div>
<div class="ttc" id="ainterface_f_b_s_d_k_login_button_html_a9334392431c0fb78a08fe4038a2a30fb"><div class="ttname"><a href="interface_f_b_s_d_k_login_button.html#a9334392431c0fb78a08fe4038a2a30fb">FBSDKLoginButton::delegate</a></div><div class="ttdeci">IBOutlet id&lt; FBSDKLoginButtonDelegate &gt; delegate</div><div class="ttdef"><b>Definition:</b> FBSDKLoginButton.h:67</div></div>
<div class="ttc" id="ainterface_f_b_s_d_k_button_html"><div class="ttname"><a href="interface_f_b_s_d_k_button.html">FBSDKButton</a></div><div class="ttdef"><b>Definition:</b> FBSDKButton.h:24</div></div>
<div class="ttc" id="ainterface_f_b_s_d_k_login_button_html"><div class="ttname"><a href="interface_f_b_s_d_k_login_button.html">FBSDKLoginButton</a></div><div class="ttdef"><b>Definition:</b> FBSDKLoginButton.h:58</div></div>
<div class="ttc" id="ainterface_f_b_s_d_k_login_button_html_a4086baec0d0b3203c6dd3b3d65d419f8"><div class="ttname"><a href="interface_f_b_s_d_k_login_button.html#a4086baec0d0b3203c6dd3b3d65d419f8">FBSDKLoginButton::readPermissions</a></div><div class="ttdeci">NSArray * readPermissions</div><div class="ttdef"><b>Definition:</b> FBSDKLoginButton.h:88</div></div>
<div class="ttc" id="ainterface_f_b_s_d_k_login_button_html_ad8da738c3ec8c6efbdada9547ef09757"><div class="ttname"><a href="interface_f_b_s_d_k_login_button.html#ad8da738c3ec8c6efbdada9547ef09757">FBSDKLoginButton::tooltipBehavior</a></div><div class="ttdeci">FBSDKLoginButtonTooltipBehavior tooltipBehavior</div><div class="ttdef"><b>Definition:</b> FBSDKLoginButton.h:92</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
